Bug 240806 - Rename evolution-connector to evolution-exchange
Summary: Rename evolution-connector to evolution-exchange
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-connector   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-21 20:54 UTC by Matthew Barnes
Modified: 2013-01-10 04:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 05:38:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Matthew Barnes 2007-05-21 20:54:58 UTC
For Fedora 8 I would like to rename the "evolution-connector" package to match
the upstream name for this package ("evolution-exchange").  Most other Linux
distros ship this package under the original name.

As I understand it, the current name for this package is merely an artifact of
the package's original name ("ximian-connector") and we did not intentionally
avoid the name "exchange" for legal reasons.

I have already asked Red Hat's legal department if there are any issues with
using the name "exchange".  Mark Webbink replied with the following:

    "As long as it is only a package name, it should not be a problem.
    The name of a package buried within 1000s of other packages and not
    used to promote the overall offering (Fedora) would not likely rise
    to the level of trademark use."

Comment 1 Matthew Barnes 2007-05-21 20:57:38 UTC
Please advise on how the evolution-connector.spec file needs to be modified
before it can be renamed evolution-exchange.spec, as well as any other details I
need to attend to.

Comment 2 Jens Petersen 2007-05-27 04:57:56 UTC
Matthew, have you read the section "Renaming/replacing existing packages"
in <http://fedoraproject.org/wiki/Packaging/NamingGuidelines>?
I think that should be a good starting point and hopefully sufficient
for your needs.

Comment 3 Matthew Barnes 2007-05-27 11:46:48 UTC
Thanks, that does address my spec file question.

So now I'm just waiting for some CVS admin magic.

Comment 4 Dennis Gilmore 2007-05-28 21:06:44 UTC
Please provide a propper request detailing what it is you want.

Comment 5 Matthew Barnes 2007-05-28 21:39:01 UTC
Package Change Request
======================
Package Name: evolution-connector

Please rename this package to evolution-exchange.
See comment #0 for justification.

Comment 6 Matthias Clasen 2007-10-02 05:38:48 UTC
This change has happened.


Note You need to log in before you can comment on or make changes to this bug.